//Gradient2.java
//Berechnung des Gradienten 2.Ordnung
//Maske (-1 2 -1), sowohl horizontal
//als auch vertikal

import java.awt.Image;

class Gradient2 extends Algorithmus{
	
	Gradient2(Image img, BildKomp ziel, int threshold){
		super(img, ziel, 3, threshold);
	}
		
	protected void algorithmus(int[][] pixs, int[][] hilfe){
		
		for(int x=breite-2; x > 0; x--)
	  		for(int y=hoehe-2; y > 0; y--){
	  					
	    		int dx = 2*pixs[x][y] - pixs[x+1][y] - pixs[x-1][y];
	    		int dy = 2*pixs[x][y] - pixs[x][y+1] - pixs[x][y-1];
	    		int z = (int)Math.sqrt(dx*dx + dy*dy);
	    		max = z > max ? z : max;
	    		min = z < min ? z : min;	    		
	    		hilfe[x][y] = z;
	    	}	
	}
}	