//Prewitt.java
/*    (1 0 -1)          (-1 -1 -1)
  1/3*(1 0 -1)      1/3*( 0  0  0)
      (1 0 -1)          ( 1  1  1)*/

import java.awt.Image;

class Prewitt extends Algorithmus{
		
	Prewitt(Image img, BildKomp ziel, int threshold){
		super(img, ziel, 3, threshold);
	}
	
	protected void algorithmus(int[][] pixs, int[][] hilfe){
		for(int x=breite-2; x > 0; x--)
	  		for(int y=hoehe-2; y > 0 ; y--){
	  			int x_1 = x-1;
	  			int x1 = x+1;
	  			int y_1 = y-1;
	  			int y1 = y+1;
	  			int dx = pixs[x_1][y1]+pixs[x][y1]+pixs[x1][y1]
	  					 - 
	  					 (pixs[x_1][y_1]+pixs[x][y_1]+pixs[x1][y_1]);
	  			int dy = pixs[x1][y_1]+pixs[x1][y]+pixs[x1][y1]
	    				 - 
	    				 (pixs[x_1][y_1]+pixs[x_1][y]+pixs[x_1][y1]);
	    		int z = (int)(Math.sqrt(dx*dx + dy*dy)/3);
	    		max = z > max ? z : max;
	    		min = z < min ? z : min;
	    		hilfe[x][y] = z;
	    	}
	}	
}	