//Segmentation.java

import java.awt.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;
import java.net.*;

class Segmentation extends JFrame{
	
	private Oberflaeche ob;
	private Menue menu;
	private Vector bilder;
	private String verzBild;
	private URL codebase;
	
	Segmentation(Vector bilder, String verzBild, URL codebase){
		this.bilder = bilder;
		this.verzBild = verzBild;
		this.codebase = codebase;
		ob = new Oberflaeche(this);
		menu = new Menue(this);
				
		setTitle("Still Image Segmentation");
		setResizable(true);
				
		Container c = getContentPane();
		c.add(menu, BorderLayout.NORTH);
		c.add(ob);
		pack();
		Dimension d=getPreferredSize();
		Dimension screen = getToolkit().getScreenSize();
		screen.height /= 2;
		screen.height -= (d.height/2);
		screen.width /= 2;
		screen.width -= (d.width/2);
		screen.height = screen.height >= 54 ? screen.height-20 : screen.height;
		screen.width = screen.width >= 38 ? screen.width-8 : screen.width;
		setLocation(screen.width, screen.height);
		setVisible(true);
		
		addWindowListener(new WindowAdapter(){ 
			public void windowClosing(WindowEvent e){
				dispose();
		}});
	}
	
	public Oberflaeche getOberflaeche(){
		return ob;
	}
	
	public Vector getBilder(){
		return bilder;
	}
	
	public String getVerzBild(){
		return verzBild;
	}
	
	public URL getCodebase(){
		return codebase;
	}
}