//Threshold.java

class Threshold{
	private static int NOEDGE = 0; //Hintergrund schwarz
	private static int EDGE = 255; //Kante weiß
	public static final int EDGE_BLACK = 0;
	public static final int EDGE_WHITE = 255;
	
	//EdgeEnhancement: Kanten können schwarz oder weiß dargestellt
	//werden
	public static void thresholdSchwarzWeiss(int[][] mag, int thresh, int farbe){
		
		if(farbe==EDGE_BLACK){
			EDGE = 0;
			NOEDGE = 255;
		}
		
		for(int x=mag.length-1; x >= 0 ; x--)
			for(int y=mag[0].length-1; y >= 0 ; y--)
				mag[x][y] = mag[x][y] >= thresh ? EDGE : NOEDGE;	     	
	}
	
	public static void thresholdSchwarzWeiss(byte[] mag, int thresh, int farbe){
		
		if(farbe==EDGE_BLACK){
			EDGE = 0;
			NOEDGE = 255;
		}
		
		for(int i=mag.length-1; i>= 0; i--){
				int t=mag[i] + 128;
				mag[i] = t >= thresh ? (byte)EDGE : (byte)NOEDGE;
		}   	
	}
}