//Util.java
//Wandelt Matrizen in Felder
//und Felder in Matrizen um

class Util{
		
	//Feld --> Matrix, byte[] --> int[][]
	//Konvertierung m*n-Feld in m x n - Matrix 
	public static int[][] feldZuIntMatrix(byte[] feld, int m, int n){
		int k = 0;
		int[][] matrix = new int[m][n];
		for(int y=0; y < n; y++){
        	for(int x=0; x < m; x++){
               	//matrix[x][y] = feld[k];
               	matrix[x][y] = feld[k];
               	if(matrix[x][y] < 0)
               		matrix[x][y] += 256;
                k++;
            }
        }
        return matrix;
    }
    
       
    //Feld --> Matrix, int[] --> int[][]
	//Konvertierung m*n-Feld in m x n - Matrix 
	public static int[][] feldZuMatrix(int[] feld, int m, int n){
		int k = 0;
		int[][] matrix = new int[m][n];
		for(int y=0; y < n; y++){
        	for(int x=0; x < m; x++){
               	matrix[x][y] = feld[k];
                k++;
            }
        }
        return matrix;
    }
    
    
    //Matrix --> Feld, int[][] --> byte[]
    //Konvertierung m x n-Matrix in m*n-Feld
    public static byte[] matrixZuFeld(int[][] matrix){
    	byte[] feld = new byte[matrix.length*matrix[0].length];
    	for(int y=0; y < matrix[0].length; y++){
    		for(int x=0; x < matrix.length; x++){
    			feld[x+y*matrix.length]=(byte)matrix[x][y];
    		}
    	}
    	return feld;
    }
    
    
    //Matrix --> Feld, float[][] --> byte[]
    //Konvertierung m x n-Matrix in m*n-Feld
    public static byte[] matrixZuFeld(float[][] matrix){
    	byte[] feld = new byte[matrix.length*matrix[0].length];
    	for(int y=0; y < matrix[0].length; y++){
    		for(int x=0; x < matrix.length; x++){
    			feld[x+y*matrix.length]=(byte)matrix[x][y];
    		}
    	}
    	return feld;
    }
    
    
    //Matrix --> Feld, int[][] --> int[]
    //Konvertierung m x n-Matrix in m*n-Feld
    public static int[] matrixZuIntFeld(int[][] matrix){
    	int[] feld = new int[matrix.length*matrix[0].length];
    	for(int y=0; y < matrix[0].length; y++){
    		for(int x=0; x < matrix.length; x++){
    			feld[x+y*matrix.length]=matrix[x][y];
    		}
    	}
    	return feld;
    }
}	