//Gradient.java
//Berechnung des Gradienten 1.Ordnung
//Maske (-1 0 1), sowohl horizontal
//als auch vertikal

import java.awt.Image;

class Gradient extends Algorithmus{
		
	Gradient(Image img, BildKomp ziel, int threshold){
		super(img, ziel, 3, threshold);
	}
	
	protected void algorithmus(int[][] pixs, int[][] hilfe){
			
		for(int x=breite-2; x > 0; x--)
	  		for(int y=hoehe-2; y > 0 ; y--){
	    		int dx = pixs[x+1][y] - pixs[x-1][y];
	    		int dy = pixs[x][y+1] - pixs[x][y-1];
	    		int z = (int)Math.sqrt(dx*dx + dy*dy);
	    		max = z > max ? z : max;
	    		min = z < min ? z : min;
	    		hilfe[x][y] = z;
	    	}
	}	
}	